VTK: vtkGLTFDocumentLoader::Extensions::KHRLightsPunctual::Light Struct Reference

| VTK 9.3.1

Public Types | Public Attributes | List of all members
vtkGLTFDocumentLoader::Extensions::KHRLightsPunctual::Light Struct Reference

`#include <vtkGLTFDocumentLoader.h>`

## Public Types
enum class | LightType : unsigned char { DIRECTIONAL , POINT , SPOT }

## Public Attributes
LightType | Type
std::vector< double > | Color
double | Intensity
double | Range
double | SpotInnerConeAngle
double | SpotOuterConeAngle
std::string | Name

## Detailed Description

Definition at line 470 of file vtkGLTFDocumentLoader.h.

## Member Enumeration Documentation

## ◆ LightType

enum vtkGLTFDocumentLoader::Extensions::KHRLightsPunctual::Light::LightType : unsigned char
| strong

Enumerator
DIRECTIONAL |
POINT |
SPOT |

Definition at line 472 of file vtkGLTFDocumentLoader.h.

## Member Data Documentation

## ◆ Type

LightType vtkGLTFDocumentLoader::Extensions::KHRLightsPunctual::Light::Type

Definition at line 478 of file vtkGLTFDocumentLoader.h.

## ◆ Color

std::vector<double> vtkGLTFDocumentLoader::Extensions::KHRLightsPunctual::Light::Color

Definition at line 480 of file vtkGLTFDocumentLoader.h.

## ◆ Intensity

double vtkGLTFDocumentLoader::Extensions::KHRLightsPunctual::Light::Intensity

Definition at line 481 of file vtkGLTFDocumentLoader.h.

## ◆ Range

double vtkGLTFDocumentLoader::Extensions::KHRLightsPunctual::Light::Range

Definition at line 482 of file vtkGLTFDocumentLoader.h.

## ◆ SpotInnerConeAngle

double vtkGLTFDocumentLoader::Extensions::KHRLightsPunctual::Light::SpotInnerConeAngle

Definition at line 485 of file vtkGLTFDocumentLoader.h.

## ◆ SpotOuterConeAngle

double vtkGLTFDocumentLoader::Extensions::KHRLightsPunctual::Light::SpotOuterConeAngle

Definition at line 486 of file vtkGLTFDocumentLoader.h.

## ◆ Name

std::string vtkGLTFDocumentLoader::Extensions::KHRLightsPunctual::Light::Name

Definition at line 488 of file vtkGLTFDocumentLoader.h.

The documentation for this struct was generated from the following file:

- IO/Geometry/vtkGLTFDocumentLoader.h